Package org.apache.groovy.contracts.common.impl.lc

# Class PostconditionLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle
org.apache.groovy.contracts.common.impl.lc.PostconditionLifecycle

All Implemented Interfaces:
  `Lifecycle`

public class PostconditionLifecycle extends BaseLifecycle
Internal `Lifecycle` implementation for post-conditions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostconditionLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  `void`
  `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`

  ### Methods inherited from class org.apache.groovy.contracts.common.base.BaseLifecycle

  `afterProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PostconditionLifecycle

    public PostconditionLifecycle()

- ## Method Details

  - ### beforeProcessingClassNode

    public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)
    Specified by:
      `beforeProcessingClassNode` in interface `Lifecycle`
    Overrides:
      `beforeProcessingClassNode` in class `BaseLifecycle`

  - ### afterProcessingConstructorNode

    public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Specified by:
      `afterProcessingConstructorNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingConstructorNode` in class `BaseLifecycle`

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingMethodNode` in class `BaseLifecycle`